PCRE2_SET_SUBSTITUTE_CASE_CALLOUT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_substitute_case_callout(pcre2_match_context *mcontext,
  PCRE2_SIZE (*callout_function)(PCRE2_SPTR, PCRE2_SIZE,
                                 PCRE2_UCHAR *, PCRE2_SIZE,
                                 int, void *),
  void *callout_data);

DESCRIPTION

This function sets the substitute case callout fields in a match context (the first argument). The second argument specifies a callout function, and the third argument is an opaque data item that is passed to it. The result of this function is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.